...
 
Commits (7)
xlutils (2.0.0-0kali2) kali-dev; urgency=medium
[ g0tmi1k ]
* Update Vcs-* fields for the move to gitlab.com
[ Raphaël Hertzog ]
* Add GitLab's CI configuration file
* Configure git-buildpackage for Kali
* Update URL in GitLab's CI configuration file
[ Sophie Brun ]
* Use debhelper-compat 12
* Update email
* Bump Standards-Version to 4.4.1
* Remove conflict on file usr/bin/margins
* Remove useless build-deps
* Wrap-and-sort
-- Sophie Brun <sophie@offensive-security.com> Wed, 04 Dec 2019 12:22:53 +0100
xlutils (2.0.0-0kali1) kali-dev; urgency=medium xlutils (2.0.0-0kali1) kali-dev; urgency=medium
* Initial release * Initial release
......
...@@ -2,9 +2,21 @@ Source: xlutils ...@@ -2,9 +2,21 @@ Source: xlutils
Section: python Section: python
Priority: optional Priority: optional
Maintainer: Kali Developers <devel@kali.org> Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@freexian.com> Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python3-sphinx, python3-pkginfo, python-mock, python3-mock, python-manuel, python3-manuel, python-testfixtures, python3-testfixtures, python-xlrd, python3-xlrd, python-xlwt, python3-xlwt Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.2.1 dh-python,
python-all,
python-setuptools,
python3-all,
python3-manuel,
python3-mock,
python3-pkginfo,
python3-setuptools,
python3-sphinx,
python3-testfixtures,
python3-xlrd,
python3-xlwt
Standards-Version: 4.4.1
Homepage: http://www.python-excel.org/ Homepage: http://www.python-excel.org/
Vcs-Browser: https://gitlab.com/kalilinux/packages/xlutils Vcs-Browser: https://gitlab.com/kalilinux/packages/xlutils
Vcs-Git: https://gitlab.com/kalilinux/packages/xlutils.git Vcs-Git: https://gitlab.com/kalilinux/packages/xlutils.git
...@@ -12,7 +24,7 @@ Testsuite: autopkgtest-pkg-python ...@@ -12,7 +24,7 @@ Testsuite: autopkgtest-pkg-python
Package: python-xlutils Package: python-xlutils
Architecture: all Architecture: all
Depends: ${python:Depends}, ${misc:Depends} Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-xlutils-doc Suggests: python-xlutils-doc
Description: Utilities for working with Excel files (Python 2) Description: Utilities for working with Excel files (Python 2)
This package provides a collection of utilities for working with Excel files. This package provides a collection of utilities for working with Excel files.
...@@ -23,8 +35,9 @@ Description: Utilities for working with Excel files (Python 2) ...@@ -23,8 +35,9 @@ Description: Utilities for working with Excel files (Python 2)
Package: python3-xlutils Package: python3-xlutils
Architecture: all Architecture: all
Depends: ${python3:Depends}, ${misc:Depends} Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-xlutils-doc Suggests: python-xlutils-doc
Conflicts: python-xlutils (<< 2.0.0-0kali1)
Description: Utilities for working with Excel files (Python 3) Description: Utilities for working with Excel files (Python 3)
This package provides a collection of utilities for working with Excel files. This package provides a collection of utilities for working with Excel files.
Since these utilities may require either or both of the xlrd and xlwt Since these utilities may require either or both of the xlrd and xlwt
...@@ -35,7 +48,7 @@ Description: Utilities for working with Excel files (Python 3) ...@@ -35,7 +48,7 @@ Description: Utilities for working with Excel files (Python 3)
Package: python-xlutils-doc Package: python-xlutils-doc
Architecture: all Architecture: all
Section: doc Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends} Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Utilities for working with Excel files (common documentation) Description: Utilities for working with Excel files (common documentation)
This package provides a collection of utilities for working with Excel files. This package provides a collection of utilities for working with Excel files.
Since these utilities may require either or both of the xlrd and xlwt Since these utilities may require either or both of the xlrd and xlwt
......
...@@ -7,7 +7,7 @@ Copyright: 2008-2013 Simplistix Ltd ...@@ -7,7 +7,7 @@ Copyright: 2008-2013 Simplistix Ltd
License: MIT License: MIT
Files: debian/* Files: debian/*
Copyright: 2018 Offensive Security Copyright: 2018-2019 Sophie Brun <sophie@offensive-security.com>
License: MIT License: MIT
License: MIT License: MIT
......
...@@ -12,3 +12,7 @@ override_dh_auto_build: ...@@ -12,3 +12,7 @@ override_dh_auto_build:
override_dh_auto_test: override_dh_auto_test:
# don't run the tests for the moment # don't run the tests for the moment
override_dh_auto_install:
dh_auto_install
rm debian/python-xlutils/usr/bin/margins